<?php

/*                                                                      *
 *  COPYRIGHT NOTICE                                                    *
 *                                                                      *
 *  (c) 2010 Martin Helmich <m.helmich@mittwald.de>                     *
 *           Mittwald CM Service GmbH & Co KG                           *
 *           All rights reserved                                        *
 *                                                                      *
 *  This script is part of the TYPO3 project. The TYPO3 project is      *
 *  free software; you can redistribute it and/or modify                *
 *  it under the terms of the GNU General Public License as published   *
 *  by the Free Software Foundation; either version 2 of the License,   *
 *  or (at your option) any later version.                              *
 *                                                                      *
 *  The GNU General Public License can be found at                      *
 *  http://www.gnu.org/copyleft/gpl.html.                               *
 *                                                                      *
 *  This script is distributed in the hope that it will be useful,      *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of      *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the       *
 *  GNU General Public License for more details.                        *
 *                                                                      *
 *  This copyright notice MUST APPEAR in all copies of the script!      *
 *                                                                      */



	/**
	 *
	 * The project repository class. Provides methods for accessing the project table.
	 *
	 * @author     Martin Helmich <m.helmich@mittwald.de>
	 * @package    MittwaldTimetrack
	 * @subpackage Domain_Repository
	 * @version    $Id: ProjectRepository.php 28 2010-09-20 12:26:13Z helmich $
	 * @license    GNU Public License, version 2
	 *             http://opensource.org/licenses/gpl-license.php
	 *
	 */

Class Tx_MittwaldTimetrack_Domain_Repository_ProjectRepository Extends Tx_Extbase_Persistence_Repository {



		/**
		 *
		 * Finds all projects for an index view. The parent project can be specified
		 * using the $parent parameter (NULL by default). All projects are ordered by the
		 * project name in ascending order.
		 *
		 * @param  Tx_MittwaldTimetrack_Domain_Model_Project $parent The parent project
		 * @return Array<Tx_MittwaldTimetrack_Domain_Model_Project>  The result list.
		 *
		 */

	Public Function findForIndexView ( Tx_MittwaldTimetrack_Domain_Model_Project $parent=NULL ) {

		$query = $this->createQuery();
		Return $query
			->matching($query->equals('project', $parent ? $parent : Array(0,NULL) ))
			->setOrderings(Array('name' => Tx_Extbase_Persistence_Query::ORDER_ASCENDING))
			->execute();

	}

}

?>
